/*
Theme Name: GeneratePress Child
Template: generatepress
Version: 1.0
*/

@font-face {
    font-family: 'Montserrat';
    src: url('fonts/Montserrat/Montserrat-Medium.woff2') format('woff2'),
        url('fonts/Montserrat/Montserrat-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('fonts/Montserrat/Montserrat-Bold.woff2') format('woff2'),
        url('fonts/Montserrat/Montserrat-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('fonts/Montserrat/Montserrat-Light.woff2') format('woff2'),
        url('fonts/Montserrat/Montserrat-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('fonts/Montserrat/Montserrat-Regular.woff2') format('woff2'),
        url('fonts/Montserrat/Montserrat-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('fonts/Montserrat/Montserrat-SemiBold.woff2') format('woff2'),
        url('fonts/Montserrat/Montserrat-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}



h1, h2, h3 {
    font-weight: 600 !important;
}


	body {
		display: flex;
		flex-direction: column;
		height: 100vh;
		background-color: #e1dccc;
		overflow-x: scroll !important;
        font-family: 'Montserrat'!important;
	}


	#container-full {
		margin-left: calc(50% - 50%);
		margin-right: calc(50% - 50%);
		width: 100%;
	}

	.site-header {
		background-color: #acd58a;
		width: 100%;
		margin-left: calc(50% - 50%);
		margin-right: calc(50% - 50%);
	}

	.site-logo {
		padding: 0;
	}

	.site-content {
		max-width: 1320px;
		margin: 0 auto;
		display: block;       
	}

	#primary-menu {
		background-color: #acd58a;
		border: none;
	}

	.main-navigation .main-nav ul li a {
		color: #005c3b !important;
		text-transform: uppercase;
		font-size: 13px;
		font-weight: 500;
	}

	.main-navigation{
    background-color: transparent;
	}

	/* ====== FOOTER ====== */
    

	.footer {
		font-size: 14px;
		background: #4bb24e;
		padding: 60px 60px 0 60px;
		line-height: 1.5;
		text-transform: uppercase;
		width: 100vw;
		margin-left: calc(50% - 50vw);
		margin-right: calc(50% - 50vw);
	}

	.footer-content {
		display: flex;
		justify-content: space-between;
		gap: 40px;
		flex-wrap: wrap;
	}

	.footer-left {
		flex: 1;
		display: flex;
		flex-direction: column;
		align-items: center;
	}

	.footer-logo {
		max-width: 180px;
		margin-bottom: 20px;
	}

	.footer-right {
		flex: 1;
		display: flex;
		gap: 50px;
	}

	.footer-nav {
		list-style: none;
		padding: 0;
		margin: 0;
	}

	.footer-nav li {
		margin-bottom: 8px;
	}

	.footer-nav a {
		text-decoration: none;
		color: #005c3b;
		font-weight: 500;
	}

	.footer-bottom {
		text-align: center;
		margin-top: 30px;
		font-size: 13px;
		opacity: .8;
		background-color: rgb(46, 151, 53);
		padding: 20px;
		width: 100vw;
		margin-left: calc(50% - 50vw);
		margin-right: calc(50% - 50vw);
	}

	.footer-social {
		display: flex;
		gap: 15px;
	}

	.footer-social .social-icon {
		display: flex;
		align-items: center;
		justify-content: center;
		width: 40px;
		height: 40px;
		color: #005c3b;
		border-radius: 50%;
		text-decoration: none;
		transition: all 0.3s;
		font-size: 18px;
		background-color: #fff;        
	}
    
    .footer-social .social-icon i {
    font-family: "Font Awesome 6 Brands" !important;
    font-style: normal !important;
    display: inline-block !important;
    line-height: 1 !important;
    align-items: center;
}

   .social-icon {
  padding-bottom: 0;
}

	.footer-social .social-icon:hover {
		transform: scale(1.1);
	}

	@media (max-width: 768px) {
		.footer-content {
			flex-direction: column;
			text-align: center;
		}

		.footer-social {
			justify-content: center;
		}
	}

	/* ====== BANNER ====== */
	.banner-title {
		background: #005c3b;
		color: #fff;
		padding: 30px 20px;
		text-align: center;
		margin-left: calc(50% - 50vw);
		margin-right: calc(50% - 50vw);
	}

	/* ====== CATEGORIA ====== */
	.category-container {
		display: flex;
		gap: 30px;
		align-items: flex-start;
		padding: 20px;
		max-width: 1320px;
		margin: 0 auto;
	}

	.category-content {
		flex: 1 1 45%;
	}

	.sidebar {
		flex: 1;
		position: sticky;
		margin-top: 45px;
	}

	.widget {
		padding: 20px;
		margin-bottom: 20px;
		border-radius: 8px;
	}


	.widget ul {
		list-style: none;
		padding-left: 0;
	}

	.post-item {
		background-color: #F3EFE6;
		padding: 30px;
		margin-bottom: 20px;
		border-radius: 8px;
		box-shadow: 0 3px 8px rgba(0, 0, 0, 0.05);
	}

	.post-title {
		font-size: 1.5rem;
		color: #005c3b;
		text-decoration: none;
		font-weight: 700;
	}

	.post-title-post {
		font-size: 1.8rem;
		color: #005c3b;
		text-decoration: none;
		font-weight: 700;
	}

	.read-more {
		display: inline-block;
		margin-top: 10px;
		padding: 8px 15px;
		background: #005c3b;
		color: #fff;
		border-radius: 5px;
		text-decoration: none;
	}

	.read-more:hover {
		background: #4bb24e;
		color: #000;
	}

	.post-meta {
		font-size: 14px;
		color: #a45e1e;
		margin-bottom: 20px;
		font-weight: 700;
	}


	.post-excerpt {
		margin-bottom: 10px;
	}

	@media(max-width:1024px) {
		.category-container {
			flex-direction: column;
			align-items: center;
		}

		.sidebar {
			display: none;
		}

		.post-title {
			font-size: 1.5rem;
			font-weight: 700;
		}
	}

	/* ====== SINGLE POST ====== */
	.single-container {
		display: flex;
		gap: 30px;
		align-items: flex-start;
		padding: 40px 20px;
		max-width: auto;
		margin: 0 auto;
	}

	.single-content {
		flex: 1 1 45%;
	}

	.post-content p {
		line-height: 1.8;
		margin-bottom: 15px;
		color: #005c3b;

	}

	@media(max-width:1024px) {
		.single-container {
			flex-direction: column;
			align-items: center;
		}

		.sidebar {
			display: none;
		}
	}

	/* ====== BLOG ====== */
	.blog-container {
		display: flex;
		flex-wrap: wrap;
		max-width: auto;
		margin: 0 auto;
		padding: 20px;
		gap: 30px;
	}

	.blog-page-title {
		font-size: 2.5rem;
		margin-bottom: 25px;
		color: #222;
	}

	.blog-main {
		flex: 1 1 45%;
		min-width: 300px;
		display: flex;
		flex-direction: column;
		gap: 20px;
	}

	.post-card {
		background: #fff;
		border-radius: 12px;
		padding: 20px;
		box-shadow: 0 4px 10px rgba(0, 0, 0, 0.07);
		transition: transform 0.3s, box-shadow 0.3s;
	}

	.post-card:hover {
		transform: translateY(-5px);
		box-shadow: 0 6px 15px rgba(0, 0, 0, 0.1);
	}


	@media (max-width: 768px) {
		.blog-container {
			flex-direction: column-reverse;
		}

		.blog-main,
		.blog-sidebar {
			flex: 1 1 100%;
		}
	}


	/* ========= POSTS RECENTES  ============*/

	.widget h3 {
		font-size: 1.2rem;
		margin-bottom: 20px;
		font-weight: 600;
		border-bottom: 2px solid #4bb24e;
		display: inline-block;
		padding-bottom: 5px;
		margin-bottom: 20px;
		text-transform: uppercase;
		color: #a45e1e;
	}


	.widget li {
		margin-bottom: 10px;
		transition: transform 0.2s;
	}

	.widget li a {
		text-decoration: none;
		color: #005c3b;
		font-weight: 500;
		display: block;
		padding: 5px 8px;
		border-radius: 5px;
	}

	.widget li a:hover {
		background-color: #4bb24e;
		color: #fff;
		transform: translateX(5px);
		text-decoration: none;
	}

	.widget li:last-child {
		margin-bottom: 0;
	}

	.sidebar .widget {
		background-color: #f5f5f5
	}


	/* =========BANNER ========= */
	.bg-primary-banner {
		display: flex;
		width: 100%;
		margin-left: calc(50% - 50%);
		margin-right: calc(50% - 50%);
		min-height: 400px;
	}

	.banner-img {
		flex: 1 1 50%;
		background-size: cover;
		background-position: center;
	}

	.banner-text {
		flex: 1 1 50%;
		align-items: center;
		padding: 5rem;
		text-align: left;
	}

	.banner-text h2 {
		font-size: 2rem;
	}

	.banner-text p {
		font-size: 14px;
	}


	@media (max-width: 768px) {
		.bg-primary-banner {
			flex-direction: column;
			text-align: center;
        }

		.banner-img,
		.banner-text {
			flex: 1 1 100%;
		}

		.banner-text {
			padding: 2rem;
		}

		.banner-img {
			min-height: 300px;
			max-height: none;
		}
	}

	

	/* =========FORMULÁRIO ========= */

	.contato-form {
		max-width: 900px;
		margin: 40px auto;
	}

	@media (max-width: 768px) {
		.contato-form {
			padding: 10px;
		}

	}

	/* =========TRILHA APRENDIZADO ========= */
	.bg-primary-banner-trilha {
		display: flex;
		flex-direction: row;
		background-color: #d68337;
        padding: 20px;
        
	}

	.coluna-esquerda-trilha {		
		width: 40%;
		color: #fff;        
        padding: 40px 20px;
    }

	.testimonial-container-trilha {
		width: 60%;
		display: flex;
		flex-direction: row;
		gap: 20px;
		padding: 20px;
	}

	.testimonial-trilha {
		background-color: #dda16a;
		box-sizing: border-box;
		width: 50%;
	}

	.testimonial-content-trilha {
		display: flex;
		align-items: flex-start;
		gap: 10px;
	}

	.testimonial-image-trilha {
		flex-shrink: 0;
		width: 140px;
	}

	.testimonial-image-trilha img {
		min-width: 150px;
		height: auto;
		object-fit: cover;
		margin-bottom: 15px;
		z-index: 1;
		margin-left: -15px;
		margin-top: 20px;
        border-radius: 8px !important;
	}


	.testimonial-info-trilha {
		display: flex;
		flex-direction: column;
		padding-top: 35px;
	}

	.content-title-trilha {
		margin: 0.2em 0;
		text-transform: uppercase;
		color: #333;
		font-size: 0.9em;
		font-weight: bold;
	}

	.role-trilha {
		margin-bottom: 0.5em;
		font-size: 0.8em;
		color: #555;
		font-weight: bold;
	}


	.text-trilha {
		margin-top: 10px;
		font-size: 0.8em;
		color: #333;
		padding: 0 20px;
	}

	@media (max-width: 900px) {
		.bg-primary-banner-trilha {
		display: flex;
        flex-direction: column;
        width: 100%;
        max-width: none;
        padding: 20px;
        margin-top: 20px;
        align-items: center;
		}

		.bg-primary-banner-trilha h2{
        font-siize: 1.5rem;
		}

		.coluna-esquerda-trilha {
			width: 100%;
		}
	
    	.testimonial-container-trilha {
        	width: 100%;
        	display: flex;
        	flex-direction: column;
        	gap: 20px;
        	padding: 10px 40px;
        	justify-content: center; 
        	text-align: center;
   		}


		.testimonial-image-trilha img {
			max-width: 150px;
			object-fit: cover;			
			z-index: 1;
			margin-left: 0;
		}

		.testimonial-trilha {
			width: 100%;
			max-width: none;
			padding: 20px;
            margin-bottom: 10px;
		}

		.testimonial-content-trilha {
			flex-direction: column;
			align-items: center;
		}

		.testimonial-image-trilha {
			width: 100%;
			max-width: 200px;
			margin-bottom: 10px;
		}

		.testimonial-info-trilha {
			align-items: center;
			text-align: center;
            padding: 0;
		}

		.text-trilha {
			margin-top: 10px;
		}
	}

	/* ========BREADCRUMBS ========= */

	.breadcrumbs {
		padding-top: 40px;
		font-size: 14px;
		color: #666;
	}


	.breadcrumbs a {
		text-decoration: none;		
		transition: color .2s ease;
	}

	
	.breadcrumbs .breadcrumb_last {
		color: #333;
		font-weight: 600;
	}

	#breadcrumbs a,
	.breadcrumbs a {
		text-decoration: none !important;
	}

	.breadcrumbs span {
		display: inline-block;
	}

	.breadcrumbs span span {
		display: inline-block;
	}


	@media (max-width: 480px) {
		.breadcrumbs {
			font-size: 13px;
			padding: 10px 16px;
		}
	}

	.container-editor,
	.container-editor-produtos,
	.container-editor-page
	{
	max-width: auto;
	width: 100%;
	padding-left: 20px;
	padding-right: 20px;
	box-sizing: border-box;
	}

	.container-editor-produtos {		
		padding-bottom: 40px;
	}



/* =========CARD ========= */
	.bg-primary-banner-card {
		display: flex;		
		padding: 20px;
	}

	.coluna-esquerda-card {		
		width: 50%;
        padding: 40px 20px;
	}

	.testimonial-card.expanded-card .text-card {
		max-height: 1000px;
	}

	.testimonial-card {
		width: 50%;
		max-width: 600px;
		margin: 0 auto;
		padding: 20px;
		margin-top: 20px;
		margin-bottom: 20px;
		position: relative;
		background-color: #003e21;

	}

	.testimonial-image-card img {
		position: absolute;
		top: 20px;
		left: -20px;
		width: 100%;
		max-width: 280px !important;
		height: auto;
		object-fit: cover;
		margin-bottom: 15px;
		z-index: 1;
        border-radius: 8px !important;
	}

	.testimonial-content-card {
		padding-left: 260px;
		z-index: 2;
		height: auto;
	}

	.testimonial-content-card .content-title-card {
		margin: 0.2em 0;
		text-transform: uppercase;
		font-size: 0.9em;
		font-weight: bold;
	}

	.testimonial-content-card .role-card {
		margin-bottom: 0.5em;
		font-size: 0.8em;
		font-weight: bold;
	}

	.testimonial-content-card .text-card {
		font-size: 0.8em;
	}

	.more-text-card {
		display: none;
	}

	.toggle-btn-card {
		background: none;
		border: none;
		color: #009b63;
		cursor: pointer;
		padding: 0;
		font-size: 0.9em;
		margin-top: 5px;
		text-decoration: underline;
	}

	@media (max-width: 900px) {
		.bg-primary-banner-card {
			flex-direction: column;
		}

		.bg-primary-banner-card h2 {
			font-size: 1.5rem;
		}

		.coluna-esquerda-card {
			width: 100%;
		}

		.testimonial-card {
			display: flex;
			flex-direction: column;
			width: 100%;
			max-width: none;
			padding: 20px;
			margin-top: 20px;
			align-items: center;
		}

		.testimonial-image-card img {
			position: relative;
			margin-bottom: 20px;
			top: 0;
			left: 0;
		}

		.testimonial-content-card {
			padding-left: 0;
		}
	}

a {
    color: inherit;
}